using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class AudioSwitchButton : MonoBehaviour
{
    // Start is called before the first frame update
    Button btn;
    void Start()
    {
      
        btn = GetComponent<Button>();
        btn.onClick.AddListener(() =>
        {
            SwtichButton();
        }); UpdateUI();
    }
    public string prefString;
    void SwtichButton()
    {
        //Music is already playing we will stop
        //If its not playing we will play it
        if (PlayerPrefs.GetInt(prefString, 1) == 0)
        {
            PlayerPrefs.SetInt(prefString, 1);
        }
        else
        {
            PlayerPrefs.SetInt(prefString, 0);
        }
        UpdateUI();

    }
    void UpdateUI()
    {
        if (PlayerPrefs.GetInt(prefString, 1) == 0)
        {
            btn.image.color = new Color(1, 1, 1, 0.25f);
            //Its Off
           if(prefString=="Music") SoundManager.StopMusic();
        }
        else
        {
            btn.image.color = new Color(1, 1, 1, 1f);
            if (prefString == "Music") SoundManager.PlayMusic();
            //Its On
        }
    }
 
}
